local mod_name = minetest.get_current_modname()
local S = minetest.get_translator(mod_name)

minetest.register_node("pmb_fengold:gilded_stone_brick", {
    description = pmb_util.desc(S("Gilded Stone"), "green"),
    groups = { nature = 1, item_gilded_stone_brick = 1, full_solid = 1, gilded = 1,
               stone = 1, oddly_breakable_by_hand = 3, cracky = 2, solid = 1, suffocates = 2 },
    tiles = {
        "pmb_stone_brick.png^pmb_fengold_stone_brick_gold.png",
    },
    sounds = pmb_sounds.default_stone(),
})
pmb_util.register_all_shapes("pmb_fengold:gilded_stone_brick")

minetest.register_craft({
    output = "pmb_fengold:gilded_stone_brick",
    type = "shapeless",
    recipe = { "pmb_stone:stone_brick", "pmb_fengold:gold_gilding"},
})




minetest.register_node("pmb_fengold:gilded_stone_brick_ornate", {
    description = pmb_util.desc(S("Gilded Stone Ornate"), "green"),
    groups = { nature = 1, item_gilded_stone_brick = 1, full_solid = 1, gilded = 1,
               stone = 1, oddly_breakable_by_hand = 3, cracky = 2, solid = 1, suffocates = 2 },
    tiles = {
        "pmb_stone_brick.png^pmb_fengold_stone_ornate_gold_top.png",
        "pmb_stone_brick.png^pmb_fengold_stone_ornate_gold_top.png",
        "pmb_stone_brick.png^pmb_fengold_stone_ornate_gold.png",
    },
    sounds = pmb_sounds.default_stone(),
})
pmb_util.register_all_shapes("pmb_fengold:gilded_stone_brick_ornate", nil, {no_world_align = true})

if true then
    local a = "pmb_stone:stone_brick"
    local g = "pmb_fengold:gold_gilding"
    minetest.register_craft({
        output = "pmb_fengold:gilded_stone_brick_ornate 4",
        recipe = {
            {g,g},
            {a,a},
            {a,a},
        },
    })
end




minetest.register_node("pmb_fengold:gilded_stone_pillar", {
    description = pmb_util.desc(S("Gilded Stone Pillar"), "green"),
    groups = { nature = 1, item_gilded_stone_pillar = 1, full_solid = 1, gilded = 1,
               stone = 1, oddly_breakable_by_hand = 3, cracky = 2, solid = 1, suffocates = 2 },
    tiles = {
        "pmb_stone_brick.png^pmb_fengold_stone_pillar_gold_top.png",
        "pmb_stone_brick.png^pmb_fengold_stone_pillar_gold_top.png",
        "pmb_stone_brick.png^pmb_fengold_stone_pillar_gold.png",
    },
    sounds = pmb_sounds.default_stone(),
    paramtype2 = "facedir",
    after_place_node = function(pos, placer, itemstack, pointed_thing)
        pmb_util.rotate_and_place_against(pos, placer, itemstack, pointed_thing, {offset = 0})
    end,
})
pmb_util.register_all_shapes("pmb_fengold:gilded_stone_pillar", nil, {no_world_align = true})

if true then
    local g = "pmb_fengold:gilded_stone_brick"
    minetest.register_craft({
        output = "pmb_fengold:gilded_stone_pillar 3",
        recipe = {
            {g},
            {g},
            {g},
        },
    })
end



